<div [formGroup]="form" class="form-group">
  <label [attr.for]="question.key">{{question.label}}</label>

  <div [ngSwitch]="question.controlType">

    <input class="form-control" *ngSwitchCase="'textbox'" [formControlName]="question.key"
            [id]="question.key" [type]="question.type">

    <select class="form-control" [id]="question.key" *ngSwitchCase="'dropdown'" [formControlName]="question.key">
      <option *ngFor="let opt of question.options" [value]="opt.key">{{opt.value}}</option>
    </select>

    <img *ngSwitchCase="'image'" [src]="question.value">

  </div>
  <div class="errorMessage" *ngIf="!isValid">{{question.label}} is required</div>
</div>
